<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=viewport, initial-scale=1.0">
    <title></title>
</head>

<body>
    <h1 id="heading">Hello there</h1>


    <script>
        const button = document.createElement('button');
        const h1 = document.getElementById('heading');

        const changeText = () => {
            h1.innerText = Math.floor(Math.random() * 101);
        }

        button.onclick = changeText;
        button.innerText = "Generate Random Number";
        h1.insertAdjacentElement('afterEnd', button);
    </script>
</body>

</html>